package com.iformall.enums;

/**
 * Created by Stormeye on 2018/11/16.
 */
public enum EnumLoginType {

    // 0-password, 1-nopassword

    PASSWORD(0, "PASSWORD"),
    NOPASSWD(1, "NOPASSWORD")
    ;

    public static EnumLoginType getEnum(Integer code) {
        for (EnumLoginType value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumLoginType(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
